> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/it/documentazione-api/upload-files-with-the-geopard-api.md).

# Carica file con l'API GeoPard

{% hint style="success" %}
L’approccio consigliato per i file di dimensioni superiori a 6 MB è il flusso con [URL prefirmato](https://docs.geopard.tech/geopard-tutorials/it/documentazione-api/geopard-api-requests-overview/55.-upload-zip-files-over-6-mb.md).
{% endhint %}

L’API GeoPard consente di caricare archivi ZIP contenenti dataset del suolo, di resa, delle operazioni eseguite o dei confini, per ulteriori elaborazioni e analisi.

{% hint style="danger" %}
A causa di una limitazione di AWS, la dimensione massima dei file caricabili tramite questo endpoint REST è di 6 MB.
{% endhint %}

I passaggi per caricare file di dimensioni superiori a 6 MB sono descritti in [Caricare file ZIP (oltre 6 MB)](https://docs.geopard.tech/geopard-tutorials/it/documentazione-api/geopard-api-requests-overview/55.-upload-zip-files-over-6-mb.md).

Subito dopo il caricamento corretto del dataset del suolo, di resa o delle operazioni eseguite, il motore GeoPard lo associa ai campi corrispondenti all’interno dell’azienda agricola specificata.

Subito dopo il caricamento corretto dei confini, il motore GeoPard ne avvia l’elaborazione.

La risposta contiene un `<uuid>` che puoi usare per monitorare lo stato dell’elaborazione.

#### Esempio di richiesta:

{% code overflow="wrap" lineNumbers="true" %}

```bash
curl --location --request POST 'https://api.geopard.tech/upload?fileType=<type>&farmUuid=<farm_uuid>' \
--header 'Authorization: <token>' \
--header 'Content-Type: application/zip' \
--data-binary '@path/to/file.zip'
```

{% endcode %}

I parametri sono:

1. `<type>` - tipo di dataset caricato. Deve essere uno tra `yield` OPPURE `soil` OPPURE `applied` OPPURE `boundary`.
2. `<farm_uuid>` - lo `uuid` dell’azienda agricola in cui verrà caricato il file (facoltativo).
3. `<token>` - token di accesso GeoPard.
4. `@path/to/file.zip` - percorso del file da caricare.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.geopard.tech/geopard-tutorials/it/documentazione-api/upload-files-with-the-geopard-api.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
